#include <cstdio>
#include <algorithm>
#include <cstring>
#include <cassert>
#include <cmath>

const int MAX = 1024;

struct big_num {
	int m[MAX];

	big_num () {memset (m, 0, sizeof (m));}

	big_num &operator = (const big_num &x) {
		memmove (m, x.m, sizeof (m));
		return *this;
	}

	bool operator < (const big_num &x) const {
		int i;
		for (i = MAX - 1; i && m[i] == x.m[i]; --i);
		return m[i] < x.m[i];
	}

	big_num &operator -= (const big_num &x) {
		int i;
		for (i = 0; i + 1 < MAX; ++i) {
			m[i] -= x.m[i];
			if (m[i] < 0) {
				m[i] += 10;
				--m[i+1];
			}
		}
		assert (m[MAX-1] == 0);
		return *this;
	}

	big_num &operator *= (int x) {
		int i;
		int pr = 0;
		for (i = 0; i < MAX; ++i) {
			m[i] = m[i] * x + pr;
			pr = m[i] / 10;
			m[i] %= 10;
		}

		assert (pr == 0);
		return *this;
	}

	bool is_div (int x) {
		int i;
		int sum = 0;
		for (i = 0; i < MAX; ++i)
			sum += m[i];
		
		return sum % x == 0;
	}

	void read () {
		int i = 0;
		while (isdigit (m[i] = getchar ())) {
			m[i] -= '0';
//			printf ("got %d\n", m[i]);
			++i;
		}
		m[i] = 0;
//		for (i = 0; i < 20; ++i)\
			printf ("%d\n", m[i]);
		
		std::reverse (m, m + i);
//		write ('\n');
	}
	void write (char end = '\0') {
		int i;
		for (i = MAX - 1; i && m[i] == 0; --i);
		for (; i >= 0; --i)
			printf ("%d", m[i]);
		if (end)
			putchar (end);
	}
};

int cnt[10];
bool cmp (int id1, int id2) {
	return cnt[id1] > cnt[id2];
}

int main () {
	big_num a, b;
	static char buf[10];
	a.read ();
//	fgets (buf, 10, stdin);
	b.read ();
//	fgets (buf, 10, stdin);
	int x;
	scanf ("%d", &x);
//	a.write ('\n');
//	b.write ('\n');

	big_num res;
	if (a < b) {
//		printf ("a < b\n");
		b -= a;
		res = b;
	} else {
//		printf ("a >= b\n");
		a -= b;
//		a.write ('\n');
		res = a;
	}
//	res.write ('\n');

	res *= x;
	int i;
	bool xx[10] = {0};
	for (i = 1; i < 10; ++i)
		if (res.is_div (i))
			xx[i] = 1;
	
	for (i = 0; i < MAX; ++i)
		++cnt[res.m[i]];

	int idx[10];
	for (i = 0; i < 9; ++i) idx[i] = i+1;
	std::sort (idx, idx + 9, cmp);


//	printf ("--------------------\n");
	res.write ('\n');
	for (i = 0; i < 9; ++i)
		if (xx[idx[i]] == 1 && cnt[idx[i]]) {
			printf ("%d\n", idx[i]);
			return 0;
		}

	printf ("%d\n", 0);

	return 0;
}

